using System;

internal class Program
{
    static void Main(string[] args)
    {
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        uint l = uint.Parse(s[1]);
        bool prosao = true;
        s = Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
            if (uint.Parse(s[i]) <= l)
            {
                prosao = false;
                Console.WriteLine(i + 1) ;
                break;
            }
        }
        if(prosao)
            Console.WriteLine(-1);
    }
}